> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# List Notification Settings

GET https://api.megaport.com/v3/notificationPreferences

Returns all of the user email notification subscriptions for the logged-in user.

All email notification types will be returned. However, the `subscribed` field indicates which notification is on or off (true/false).

In the response, the following information is returned:

- `subscriptionKey` - The key value of the email event. Run this endpoint to get the full list available for the user.
    
- `description` - The description of the email notification. For example, _When the administrator starts billing a service_.
    
- `subscribed` - Indicates whether or not the user is subscribed to the email notification. Values are true and false.
    
- `messageGroupName` - The name of the email notification group. Values are Company, Financial, Ordering, Services, Service Status.
    

For more information, see [Configuring Email Notifications](https://docs.megaport.com/portal-admin/email-notifications/).

Reference: https://en.megaport.ferndocs.com/api-reference/email-notifications/list-notification-settings

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Response

### 200

List Notification Settings - Subscribed to all Notifications / List Notification Settings - Service Status Notifications / List Notification Settings - No Notification Subscriptions / List Notification Settings - No Notification Subscriptions / List Notification Settings - Service Status Notifications / List Notification Settings - Subscribed to all Notifications

- `data` (V3NotificationPreferencesGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V3NotificationPreferencesGetResponsesContentApplicationJsonSchemaData

- `emails` (list of V3NotificationPreferencesGetResponsesContentApplicationJsonSchemaDataEmailsItems, optional)
- `receivesChildNotifications` (boolean, optional)

### V3NotificationPreferencesGetResponsesContentApplicationJsonSchemaDataEmailsItems

- `description` (string, optional)
- `messageGroupName` (string, optional)
- `subscribed` (boolean, optional)
- `subscriptionKey` (string, optional)

## Examples

### List Notification Settings - No Notification Subscriptions

**Response**

```json
{
  "data": {
    "emails": [
      {
        "description": "When the administrator starts billing a service",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "BILLING_START_ADMIN"
      },
      {
        "description": "When a service goes live and we start billing on it",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "BILLING_START_LIVE"
      },
      {
        "description": "When a user successfully modifies the term of a service",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "BILLING_SERVICE_RETERMED"
      },
      {
        "description": "When a credit card is used to pay and it is successful",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "CARD_GOOD_PAYMENT"
      },
      {
        "description": "When a credit card is used to pay and it fails for temporal issues",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "CARD_TEMP_BAD_PAYMENT"
      },
      {
        "description": "When a credit card is used to pay and it fails for permanent issues",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "CARD_PERM_BAD_PAYMENT"
      },
      {
        "description": "When a credit card has been successfully registered",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "CARD_REGISTER"
      },
      {
        "description": "When a credit card registration attempt has failed",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "CARD_REGISTER_FAILED"
      },
      {
        "description": "When a company gets activated",
        "messageGroupName": "Company",
        "subscribed": false,
        "subscriptionKey": "COMPANY_ACTIVATED"
      },
      {
        "description": "When a company market is created",
        "messageGroupName": "Company",
        "subscribed": false,
        "subscriptionKey": "COMPANY_SUPPLY_NEW"
      },
      {
        "description": "When the billing email account is edited in a market",
        "messageGroupName": "Company",
        "subscribed": false,
        "subscriptionKey": "COMPANY_SUPPLY_EMAIL_CHANGED"
      },
      {
        "description": "When the customer rejects the new email account as billing contact email",
        "messageGroupName": "Company",
        "subscribed": false,
        "subscriptionKey": "COMPANY_SUPPLY_EMAIL_REJECTED"
      },
      {
        "description": "When a new invoice is prepared for the billing market/customer",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "INVOICE_NOTIFY_CMD"
      },
      {
        "description": "When an IX service contained in an order is processed",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_IX"
      },
      {
        "description": "When a port contained in an order is processed",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_MEGAPORT"
      },
      {
        "description": "When a VXC service contained in an order is approved",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_VXC_APPROVED"
      },
      {
        "description": "When a VXC order needs approval from one end",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_VXC_PENDING"
      },
      {
        "description": "When a VXC order needs approval from one end and it's been waiting for more than 1 week",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_VXC_PENDING_PLUS_7"
      },
      {
        "description": "When a VXC order waiting for approval is rejected",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_VXC_REJECTED"
      },
      {
        "description": "When a first order created to a company and market supplier",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "COMPANY_SUPPLY_FIRST_ORDER"
      },
      {
        "description": "Reminder sent of any/all due/outstanding invoices",
        "messageGroupName": "Financial",
        "subscribed": false,
        "subscriptionKey": "PAYMENT_REMIND_CMD"
      },
      {
        "description": "When a service is configured",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_LIFECYCLE_CONFIGURED"
      },
      {
        "description": "When a service has been decommissioned",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_LIFECYCLE_DECOMMISSIONED"
      },
      {
        "description": "Service follow up email + 1 week",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_LIFECYCLE_LIVE_PLUS_7_DAYS"
      },
      {
        "description": "When a service goes down (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_STATUS_DOWN"
      },
      {
        "description": "When a service goes up (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_STATUS_UP"
      },
      {
        "description": "When a speed change is made that requires approval",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_SPEED"
      },
      {
        "description": "When planned works are scheduled",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_MAINTENANCE"
      },
      {
        "description": "Service Outage Notification",
        "messageGroupName": "Services",
        "subscribed": false,
        "subscriptionKey": "SERVICE_OUTAGE"
      },
      {
        "description": "When an order request is pending approval",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_REQUEST_PENDING"
      },
      {
        "description": "When an order request is approved",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_REQUEST_APPROVED"
      },
      {
        "description": "When an order request is rejected",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_REQUEST_REJECTED"
      },
      {
        "description": "When an order request fails to process",
        "messageGroupName": "Ordering",
        "subscribed": false,
        "subscriptionKey": "ORDER_REQUEST_FAILED"
      },
      {
        "description": "When a BGP session goes down in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_EVENT_BGP_DOWN"
      },
      {
        "description": "When a BGP session goes up in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_EVENT_BGP_UP"
      }
    ],
    "receivesChildNotifications": false
  },
  "message": "Your messaging destinations",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python List Notification Settings - No Notification Subscriptions
import requests

url = "https://api.megaport.com/v3/notificationPreferences"

response = requests.get(url)

print(response.json())
```

```javascript List Notification Settings - No Notification Subscriptions
const url = 'https://api.megaport.com/v3/notificationPreferences';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List Notification Settings - No Notification Subscriptions
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/notificationPreferences"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List Notification Settings - No Notification Subscriptions
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/notificationPreferences")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java List Notification Settings - No Notification Subscriptions
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/notificationPreferences")
  .asString();
```

```php List Notification Settings - No Notification Subscriptions
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/notificationPreferences');

echo $response->getBody();
```

```csharp List Notification Settings - No Notification Subscriptions
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/notificationPreferences");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift List Notification Settings - No Notification Subscriptions
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/notificationPreferences")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### List Notification Settings - Service Status Notifications

**Response**

```json
{
  "data": {
    "emails": [
      {
        "description": "When a service goes down (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_STATUS_DOWN"
      },
      {
        "description": "When a service goes up (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_STATUS_UP"
      },
      {
        "description": "When a BGP session goes down in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_EVENT_BGP_DOWN"
      },
      {
        "description": "When a BGP session goes up in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": false,
        "subscriptionKey": "SERVICE_EVENT_BGP_UP"
      }
    ],
    "receivesChildNotifications": false
  },
  "message": "Your messaging destinations",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python List Notification Settings - Service Status Notifications
import requests

url = "https://api.megaport.com/v3/notificationPreferences"

response = requests.get(url)

print(response.json())
```

```javascript List Notification Settings - Service Status Notifications
const url = 'https://api.megaport.com/v3/notificationPreferences';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List Notification Settings - Service Status Notifications
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/notificationPreferences"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List Notification Settings - Service Status Notifications
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/notificationPreferences")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java List Notification Settings - Service Status Notifications
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/notificationPreferences")
  .asString();
```

```php List Notification Settings - Service Status Notifications
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/notificationPreferences');

echo $response->getBody();
```

```csharp List Notification Settings - Service Status Notifications
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/notificationPreferences");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift List Notification Settings - Service Status Notifications
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/notificationPreferences")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### List Notification Settings - Subscribed to all Notifications

**Response**

```json
{
  "data": {
    "emails": [
      {
        "description": "When the administrator starts billing a service",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "BILLING_START_ADMIN"
      },
      {
        "description": "When a service goes live and we start billing on it",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "BILLING_START_LIVE"
      },
      {
        "description": "When a user successfully modifies the term of a service",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "BILLING_SERVICE_RETERMED"
      },
      {
        "description": "When a credit card is used to pay and it is successful",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "CARD_GOOD_PAYMENT"
      },
      {
        "description": "When a credit card is used to pay and it fails for temporal issues",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "CARD_TEMP_BAD_PAYMENT"
      },
      {
        "description": "When a credit card is used to pay and it fails for permanent issues",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "CARD_PERM_BAD_PAYMENT"
      },
      {
        "description": "When a credit card has been successfully registered",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "CARD_REGISTER"
      },
      {
        "description": "When a credit card registration attempt has failed",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "CARD_REGISTER_FAILED"
      },
      {
        "description": "When a company gets activated",
        "messageGroupName": "Company",
        "subscribed": true,
        "subscriptionKey": "COMPANY_ACTIVATED"
      },
      {
        "description": "When a company market is created",
        "messageGroupName": "Company",
        "subscribed": true,
        "subscriptionKey": "COMPANY_SUPPLY_NEW"
      },
      {
        "description": "When the billing email account is edited in a market",
        "messageGroupName": "Company",
        "subscribed": true,
        "subscriptionKey": "COMPANY_SUPPLY_EMAIL_CHANGED"
      },
      {
        "description": "When the customer rejects the new email account as billing contact email",
        "messageGroupName": "Company",
        "subscribed": true,
        "subscriptionKey": "COMPANY_SUPPLY_EMAIL_REJECTED"
      },
      {
        "description": "When a new invoice is prepared for the billing market/customer",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "INVOICE_NOTIFY_CMD"
      },
      {
        "description": "When an IX service contained in an order is processed",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_IX"
      },
      {
        "description": "When a port contained in an order is processed",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_MEGAPORT"
      },
      {
        "description": "When a VXC service contained in an order is approved",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_VXC_APPROVED"
      },
      {
        "description": "When a VXC order needs approval from one end",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_VXC_PENDING"
      },
      {
        "description": "When a VXC order needs approval from one end and it's been waiting for more than 1 week",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_VXC_PENDING_PLUS_7"
      },
      {
        "description": "When a VXC order waiting for approval is rejected",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_VXC_REJECTED"
      },
      {
        "description": "When a first order created to a company and market supplier",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "COMPANY_SUPPLY_FIRST_ORDER"
      },
      {
        "description": "Reminder sent of any/all due/outstanding invoices",
        "messageGroupName": "Financial",
        "subscribed": true,
        "subscriptionKey": "PAYMENT_REMIND_CMD"
      },
      {
        "description": "When a service is configured",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_LIFECYCLE_CONFIGURED"
      },
      {
        "description": "When a service has been decommissioned",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_LIFECYCLE_DECOMMISSIONED"
      },
      {
        "description": "Service follow up email + 1 week",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_LIFECYCLE_LIVE_PLUS_7_DAYS"
      },
      {
        "description": "When a service goes down (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": true,
        "subscriptionKey": "SERVICE_STATUS_DOWN"
      },
      {
        "description": "When a service goes up (1 mail per hour if service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": true,
        "subscriptionKey": "SERVICE_STATUS_UP"
      },
      {
        "description": "When a speed change is made that requires approval",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_SPEED"
      },
      {
        "description": "When planned works are scheduled",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_MAINTENANCE"
      },
      {
        "description": "Service Outage Notification",
        "messageGroupName": "Services",
        "subscribed": true,
        "subscriptionKey": "SERVICE_OUTAGE"
      },
      {
        "description": "When an order request is pending approval",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_REQUEST_PENDING"
      },
      {
        "description": "When an order request is approved",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_REQUEST_APPROVED"
      },
      {
        "description": "When an order request is rejected",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_REQUEST_REJECTED"
      },
      {
        "description": "When an order request fails to process",
        "messageGroupName": "Ordering",
        "subscribed": true,
        "subscriptionKey": "ORDER_REQUEST_FAILED"
      },
      {
        "description": "When a BGP session goes down in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": true,
        "subscriptionKey": "SERVICE_EVENT_BGP_DOWN"
      },
      {
        "description": "When a BGP session goes up in a service (1 mail per hour if the service is flapping)",
        "messageGroupName": "Service Status",
        "subscribed": true,
        "subscriptionKey": "SERVICE_EVENT_BGP_UP"
      }
    ],
    "receivesChildNotifications": false
  },
  "message": "Your messaging destinations",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python List Notification Settings - Subscribed to all Notifications
import requests

url = "https://api.megaport.com/v3/notificationPreferences"

response = requests.get(url)

print(response.json())
```

```javascript List Notification Settings - Subscribed to all Notifications
const url = 'https://api.megaport.com/v3/notificationPreferences';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List Notification Settings - Subscribed to all Notifications
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/notificationPreferences"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List Notification Settings - Subscribed to all Notifications
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/notificationPreferences")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java List Notification Settings - Subscribed to all Notifications
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/notificationPreferences")
  .asString();
```

```php List Notification Settings - Subscribed to all Notifications
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/notificationPreferences');

echo $response->getBody();
```

```csharp List Notification Settings - Subscribed to all Notifications
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/notificationPreferences");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift List Notification Settings - Subscribed to all Notifications
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/notificationPreferences")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```